Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.cfg
Class C3P0ConfigUtils

    java.lang.Object
      com.mchange.v2.c3p0.cfg.C3P0ConfigUtils

    public final class C3P0ConfigUtils

extends java.lang.Object

Field Summary
`static java.lang.String` | `PROPS_FILE_PROP_PFX`
`static int` | `PROPS_FILE_PROP_PFX_LEN`
`static java.lang.String` | `PROPS_FILE_RSRC_PATH`

Method Summary
`static C3P0Config` | `configFromFlatDefaults(java.util.HashMap flatDefaults)`
`static java.lang.Boolean` | `extractBooleanOverride(java.lang.String propName, java.lang.String userName, java.util.Map userOverrides)`
`static java.util.HashMap` | `extractC3P0PropertiesResources()`
`static java.util.HashMap` | `extractHardcodedC3P0Defaults()`
`static java.util.HashMap` | `extractHardcodedC3P0Defaults(boolean stringify)`
`static java.lang.Object` | `extractUserOverride(java.lang.String propName, java.lang.String userName, java.util.Map userOverrides)`
`static java.lang.String` | `getPropFileConfigProperty(java.lang.String prop)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPS_FILE_RSRC_PATH

    public static final java.lang.String PROPS_FILE_RSRC_PATH

See Also:
  Constant Field Values

### PROPS_FILE_PROP_PFX

    public static final java.lang.String PROPS_FILE_PROP_PFX

See Also:
  Constant Field Values

### PROPS_FILE_PROP_PFX_LEN

    public static final int PROPS_FILE_PROP_PFX_LEN

See Also:
  Constant Field Values

Method Detail

### extractHardcodedC3P0Defaults

    public static java.util.HashMap extractHardcodedC3P0Defaults(boolean stringify)

### extractHardcodedC3P0Defaults

    public static java.util.HashMap extractHardcodedC3P0Defaults()

### extractC3P0PropertiesResources

    public static java.util.HashMap extractC3P0PropertiesResources()

### configFromFlatDefaults

    public static C3P0Config configFromFlatDefaults(java.util.HashMap flatDefaults)

### getPropFileConfigProperty

    public static java.lang.String getPropFileConfigProperty(java.lang.String prop)

### extractUserOverride

    public static java.lang.Object extractUserOverride(java.lang.String propName,
                                                       java.lang.String userName,
                                                       java.util.Map userOverrides)

  Returns:
    null if no per-user override is found

### extractBooleanOverride

    public static java.lang.Boolean extractBooleanOverride(java.lang.String propName,
                                                           java.lang.String userName,
                                                           java.util.Map userOverrides)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD